package io.gmss.fiscad.paylaods.response.restoration;

import io.gmss.fiscad.enums.Categorie;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;


public interface PersonnePayLoad {
    public Long getIdBackend();

    public String getIfu();

    public Long getExternalKey();

    public String getNomOuSigle();

    public String getPrenomOuRaisonSociale();

    public String getNumRavip();

    public String getNpi();

    public String getDateNaissanceOuConsti();

    public String getLieuNaissance();

    public String getTel1();

    public String getTel2();

    public String getAdresse();

    @Enumerated(EnumType.STRING)
    public Categorie getCategorie();

    public Long getSituationMatrimonialeId();

    public Long getNationaliteId();

    public Long getTypePersonneId();

    public Long getProfessionId();

    public Long getCommuneId();

    public String getObservation();

    public boolean getSynchronise();

    public Long getTerminalId();

    public int getHaveRepresentant();

    public String getRavipQuestion();

    public String getAge();

    public String getNomJeuneFille();

    public String getNomMere();

    public String getPrenomMere();

    public String getIndicatifTel1();

    public String getIndicatifTel2();

    public String getSexe();

    public int getMustHaveRepresentant();

    public String getFilePath();

}
